PUT api/v1/Template/Update?templateId={templateId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| templateId | string |
Required |
Body Parameters
MetaTemplateCreateRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| name | string |
None. |
|
| language | string |
None. |
|
| category | string |
None. |
|
| parameter_format | string |
None. |
|
| components | Collection of MetaTemplateComponent |
None. |
|
| add_security_recommendation | boolean |
None. |
|
| code_expiration_minutes | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"name": "sample string 1",
"language": "sample string 2",
"category": "sample string 3",
"parameter_format": "sample string 4",
"components": [
{
"type": "sample string 1",
"format": "sample string 2",
"text": "sample string 3",
"add_security_recommendation": true,
"code_expiration_minutes": 1,
"buttons": [
{
"type": "sample string 1",
"text": "sample string 2",
"url": "sample string 3",
"phone_number": "sample string 4",
"otp_type": "sample string 5",
"autofill_text": "sample string 6",
"package_name": "sample string 7",
"signature_hash": "sample string 8",
"example": {}
},
{
"type": "sample string 1",
"text": "sample string 2",
"url": "sample string 3",
"phone_number": "sample string 4",
"otp_type": "sample string 5",
"autofill_text": "sample string 6",
"package_name": "sample string 7",
"signature_hash": "sample string 8",
"example": {}
}
],
"example": {
"sample string 1": {},
"sample string 3": {}
}
},
{
"type": "sample string 1",
"format": "sample string 2",
"text": "sample string 3",
"add_security_recommendation": true,
"code_expiration_minutes": 1,
"buttons": [
{
"type": "sample string 1",
"text": "sample string 2",
"url": "sample string 3",
"phone_number": "sample string 4",
"otp_type": "sample string 5",
"autofill_text": "sample string 6",
"package_name": "sample string 7",
"signature_hash": "sample string 8",
"example": {}
},
{
"type": "sample string 1",
"text": "sample string 2",
"url": "sample string 3",
"phone_number": "sample string 4",
"otp_type": "sample string 5",
"autofill_text": "sample string 6",
"package_name": "sample string 7",
"signature_hash": "sample string 8",
"example": {}
}
],
"example": {
"sample string 1": {},
"sample string 3": {}
}
}
],
"add_security_recommendation": true,
"code_expiration_minutes": 1
}
application/xml, text/xml
Sample:
<MetaTemplateCreateRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/WatiflyCloneAPI.Models.DTOs.Meta">
<add_security_recommendation>true</add_security_recommendation>
<category>sample string 3</category>
<code_expiration_minutes>1</code_expiration_minutes>
<components>
<MetaTemplateComponent>
<add_security_recommendation>true</add_security_recommendation>
<buttons>
<MetaButton>
<autofill_text>sample string 6</autofill_text>
<example />
<otp_type>sample string 5</otp_type>
<package_name>sample string 7</package_name>
<phone_number>sample string 4</phone_number>
<signature_hash>sample string 8</signature_hash>
<text>sample string 2</text>
<type>sample string 1</type>
<url>sample string 3</url>
</MetaButton>
<MetaButton>
<autofill_text>sample string 6</autofill_text>
<example />
<otp_type>sample string 5</otp_type>
<package_name>sample string 7</package_name>
<phone_number>sample string 4</phone_number>
<signature_hash>sample string 8</signature_hash>
<text>sample string 2</text>
<type>sample string 1</type>
<url>sample string 3</url>
</MetaButton>
</buttons>
<code_expiration_minutes>1</code_expiration_minutes>
<example xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringanyType>
<d4p1:Key>sample string 1</d4p1:Key>
<d4p1:Value />
</d4p1:KeyValueOfstringanyType>
<d4p1:KeyValueOfstringanyType>
<d4p1:Key>sample string 3</d4p1:Key>
<d4p1:Value />
</d4p1:KeyValueOfstringanyType>
</example>
<format>sample string 2</format>
<text>sample string 3</text>
<type>sample string 1</type>
</MetaTemplateComponent>
<MetaTemplateComponent>
<add_security_recommendation>true</add_security_recommendation>
<buttons>
<MetaButton>
<autofill_text>sample string 6</autofill_text>
<example />
<otp_type>sample string 5</otp_type>
<package_name>sample string 7</package_name>
<phone_number>sample string 4</phone_number>
<signature_hash>sample string 8</signature_hash>
<text>sample string 2</text>
<type>sample string 1</type>
<url>sample string 3</url>
</MetaButton>
<MetaButton>
<autofill_text>sample string 6</autofill_text>
<example />
<otp_type>sample string 5</otp_type>
<package_name>sample string 7</package_name>
<phone_number>sample string 4</phone_number>
<signature_hash>sample string 8</signature_hash>
<text>sample string 2</text>
<type>sample string 1</type>
<url>sample string 3</url>
</MetaButton>
</buttons>
<code_expiration_minutes>1</code_expiration_minutes>
<example xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringanyType>
<d4p1:Key>sample string 1</d4p1:Key>
<d4p1:Value />
</d4p1:KeyValueOfstringanyType>
<d4p1:KeyValueOfstringanyType>
<d4p1:Key>sample string 3</d4p1:Key>
<d4p1:Value />
</d4p1:KeyValueOfstringanyType>
</example>
<format>sample string 2</format>
<text>sample string 3</text>
<type>sample string 1</type>
</MetaTemplateComponent>
</components>
<language>sample string 2</language>
<name>sample string 1</name>
<parameter_format>sample string 4</parameter_format>
</MetaTemplateCreateRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |